﻿Imports System
Imports System.Windows.Forms
Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.DesktopEdition

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        WinformsMap1.MapUnit = GeographyUnit.DecimalDegree
        WinformsMap1.BackgroundOverlay.BackgroundBrush = New GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean)
        WinformsMap1.CurrentExtent = ExtentHelper.GetDrawingExtent(New RectangleShape(-180.0, 83.0, 180.0, -90.0), WinformsMap1.Width, WinformsMap1.Height)


        Dim worldLayer As ShapeFileFeatureLayer = New ShapeFileFeatureLayer("..\..\Data\Countries02.shp", ShapeFileReadWriteMode.[ReadOnly])
        worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.County1
        worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20


        Dim worldCapitalsLayer As New ShapeFileFeatureLayer("..\..\Data\WorldCapitals.shp", ShapeFileReadWriteMode.[ReadOnly])
        Dim sizedpointStyle As New SizedPointStyle(PointStyles.CreateSimpleCircleStyle(GeoColor.SimpleColors.Blue, 1), "population", 1000000)
        worldCapitalsLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Clear()
        worldCapitalsLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(sizedpointStyle)
        worldCapitalsLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20


        Dim staticOverlay As New LayerOverlay()
        staticOverlay.Layers.Add("WorldLayer", worldLayer)
        staticOverlay.Layers.Add("WorldCapitalsLayer", worldCapitalsLayer)
        WinformsMap1.Overlays.Add("WorldOverlay", staticOverlay)

        WinformsMap1.CurrentExtent = New RectangleShape(-139.2, 92.4, 120.9, -93.2)

        WinformsMap1.Refresh()
    End Sub
End Class
